Debian Bug report logs - #131662
O: smupsd -- UPS monitoring daemon

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andreas Tille <tille@debian.org>

Date: Thu, 31 Jan 2002 08:48:00 UTC

Severity: normal

Done: Martin Michlmayr <tbm@cyrius.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#131662; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: smupsd -- UPS monitoring daemon
Date: Thu, 31 Jan 2002 09:42:08 +0100
Package: wnpp
Version: N/A; reported 2002-01-31
Severity: normal

I just have to orphan this UPS monitoring package because I do not
have enough time to care about it.  I would like if anybody would
step in.

Status of the package:
 - dead upstream (perhaps you might have problems to find upstream source)
 - no open bugs in BTS
 - lintian clean
 - needs work:
   * debconf support would be great (and even necessary in my opinion!)
   * more testing required
   * The source contains a java monitor which is not builded any more
     because this would move the package to contrib (at least)
     It was replaced by a CGI script, but another interface
     (Perl/Python/...) would be fun.
 - why yet another UPS monitoring package if nut is so fine:
   * I was looking for an APC UPS monitor which works with my setup
     (There are some issues with different cables - read the documentation
      about that!!!)
     This was the only UPS monitor which worked when I did the packaging.
   * I think nut would work to - at least upstream is very responsive -
     but I have not tested it.
     But smupsd can obtain more detailed information from the UPS than
     nut and so it would make sense to keep the package in Debian.
     I would love if someone would care about the code to be ported to
     nut so we could remove this software which seems to be dead
     upstream.

Kind regards

        Andreas.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux wr-linux02 2.4.17 #1 Mit Jan 23 14:00:21 CET 2002 i686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro



Changed Bug title. Request was from Stephen M Moraco <stephen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#131662; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #12 received at 131662@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Stephen M Moraco <stephen@debian.org>
Cc: 131662@bugs.debian.org
Subject: Re: file intent to adopt
Date: Fri, 5 Apr 2002 00:33:52 +0200
* Stephen M Moraco <stephen@debian.org> [20020315 00:58]:
> retitle 131662 ITA: smupsd -- UPS monitoring daemon

Are you still interested in adopting smupsd?  When can we expect
updated packages?

BTW, smupsd has never been part of an official Debian release (ie,
stable, potato)... this raises the question whether the package is
needed (also considering it's currently not maintained).


1900:tbm@auric: ~] madison smupsd
    smupsd |    0.9.1-7 |       testing | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
    smupsd |    0.9.1-7 |      unstable | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc


-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#131662; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #17 received at 131662@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Stephen M Moraco <stephen_moraco@agilent.com>
Cc: Andreas Tille <tille@debian.org>, 131662@bugs.debian.org
Subject: Re: file intent to adopt
Date: Fri, 5 Apr 2002 00:55:51 +0200
CCing Andreas Tille <tille@debian.org>, the original maintainer.

* Stephen M Moraco <stephen_moraco@agilent.com> [20020404 15:46]:
> Martin Michlmayr wrote:
> > 
> > * Stephen M Moraco <stephen@debian.org> [20020315 00:58]:
> > > retitle 131662 ITA: smupsd -- UPS monitoring daemon
> > 
> > Are you still interested in adopting smupsd?  When can we expect
> > updated packages?
> 
> 	Adopt... Yes.  I got distracted by taking on the release 
> 	manager job for the upstream legOS package...  
> 
> 	I can upload in the next two days... if needed.  What
> 	is the nature of your interest?
> 
> 	
> > BTW, smupsd has never been part of an official Debian release (ie,
> > stable, potato)... this raises the question whether the package is
> > needed (also considering it's currently not maintained).
> 
> 	This is a good question.  The original message indicated
> 	the it should be kept alive for now since there were useful
> 	APC (via serial) features not yet in other packages.
> 
> 	Certainly, if it should be left alone, I can do that too.

After reading the original message by Andreas Tille when he orphaned
the package it sounds as if it would be better to remove the package.
It's not maintained upstream anymore so I don't think we should put it
in a stable release where it never was.  And nut probably offers all
the features anyway.  I suggest we remove this package.

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#131662; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Stephen M Moraco <stephen@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #22 received at 131662@bugs.debian.org (full text, mbox):

From: Stephen M Moraco <stephen@debian.org>
To: 135885@bugs.debian.org, 131662@bugs.debian.org
Subject: Reverse my intent to adopt
Date: Thu, 4 Apr 2002 17:25:39 -0700
After hearing from people relative to these packages
it seems that there is no wish to keep these in 
Debian.

I'm therefore reversing my Intent to Adopt and returning
both of these packages back to "Orphaned" from whence they
came.

Regards,
Stephen
--
stephen@debian.org



Changed Bug title. Request was from Stephen M Moraco <stephen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#131662; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Tille, Andreas" <TilleA@rki.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #29 received at 131662@bugs.debian.org (full text, mbox):

From: "Tille, Andreas" <TilleA@rki.de>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Stephen M Moraco <stephen_moraco@agilent.com>, Andreas Tille <tille@debian.org>, 131662@bugs.debian.org
Subject: Re: file intent to adopt
Date: Fri, 5 Apr 2002 08:41:27 +0200 (CEST)
On Fri, 5 Apr 2002, Martin Michlmayr wrote:

> After reading the original message by Andreas Tille when he orphaned
> the package it sounds as if it would be better to remove the package.
> It's not maintained upstream anymore so I don't think we should put it
> in a stable release where it never was.  And nut probably offers all
> the features anyway.  I suggest we remove this package.
In my opinion it would be best to analyze the code of smupsd which is able
to obtain some additional information from some APC UPS and tell the nut
authors what they could add.  Nut is in my opinion the most promising
ups daemon.  If you ask me, a distribution need only *one* ups daemon which
*works*.  I once packaged smupsd because no other worked with my hardware
setup.  Porting some minor enhancements from smupsd to nut would be the
best solution in my opinion.

The smupsd daemon is in fact not bad.  The problem is the Java-monitoring
program.  If you intend to do some upstream development it could even make
sense to keep smupsd alive but I would prefer the solution I mentioned above.

Kind regards

        Andreas.



Reply sent to Martin Michlmayr <tbm@cyrius.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Tille <tille@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 131662-done@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 131662-done@bugs.debian.org
Subject: smupsd removed from Debian
Date: Fri, 19 Apr 2002 19:42:31 +0200
smupsd has been removed from Debian (woody and sid) because it was
orphaned for a long time and therefore shouldn't release with woody.
If someone is interested in re-introducing this package into Debian
again, they can fetch the removed sources from
/org/ftp.debian.org/morgue/rhona/ on auric.debian.org.

-- 
Martin Michlmayr
tbm@cyrius.com



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:12:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.